StarWriterStruct::TOX Struct Reference documentation

Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
StarWriterStruct::TOX Struct Reference

structure to store a TOX in a text zone More...

`#include <StarWriterStruct.hxx>`

## Classes
struct | Style
| a style More...

## Public Member Functions
| TOX ()
| constructor More...
| ~TOX ()
| destructor More...
bool | read (StarZone &zone, StarObject &object)
| try to read a TOX More...

## Static Public Member Functions
static bool | readList (StarZone &zone, std::vector< TOX > &toxList, StarObject &object)
| try to read a list of TOX More...

## Public Attributes
int | m_type
| the type More...
int | m_createType
| the createType More...
int | m_captionDisplay
| the captionDisplay More...
int | m_stringIds [3]
| the string id, the seq string id, the sect string id More...
int | m_styleId
| the style id More...
int | m_data
| the number of data? More...
int | m_formFlags
| the format flags? More...
librevenge::RVNGString | m_title
| the title More...
librevenge::RVNGString | m_name
| the name More...
int | m_OLEOptions
| the ole options More...
std::vector< int > | m_stringIdList
| a list of template string ids More...
std::vector< Style > | m_styleList
| a list of style names? More...
long | m_titleLength
| the title length More...
std::vector< std::shared_ptr< StarFormatManagerInternal::FormatDef > > | m_formatList
| the format More...

## Friends
std::ostream & | operator<< (std::ostream &o, TOX const &tox)
| operator<< More...

## Detailed Description

structure to store a TOX in a text zone

## Constructor & Destructor Documentation

## ◆ TOX()

StarWriterStruct::TOX::TOX | ( |  | ) |
| inline

constructor

## ◆ ~TOX()

StarWriterStruct::TOX::~TOX | ( |  | ) |

destructor

## Member Function Documentation

## ◆ read()

bool StarWriterStruct::TOX::read | ( | StarZone & | zone,
|  | StarObject & | object
| ) |  |

try to read a TOX

Referenced by readList().

## ◆ readList()

bool StarWriterStruct::TOX::readList | ( | StarZone & | zone,
|  | std::vector< TOX > & | toxList,
|  | StarObject & | object
| ) |  |
| static

try to read a list of TOX

Referenced by StarObjectText::readWriterDocument().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | TOX const & | tox
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_captionDisplay

int StarWriterStruct::TOX::m_captionDisplay

the captionDisplay

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_createType

int StarWriterStruct::TOX::m_createType

the createType

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_data

int StarWriterStruct::TOX::m_data

the number of data?

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_formatList

std::vector<std::shared_ptr<StarFormatManagerInternal::FormatDef> > StarWriterStruct::TOX::m_formatList

the format

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_formFlags

int StarWriterStruct::TOX::m_formFlags

the format flags?

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_name

librevenge::RVNGString StarWriterStruct::TOX::m_name

the name

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_OLEOptions

int StarWriterStruct::TOX::m_OLEOptions

the ole options

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_stringIdList

std::vector<int> StarWriterStruct::TOX::m_stringIdList

a list of template string ids

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_stringIds

int StarWriterStruct::TOX::m_stringIds[3]

the string id, the seq string id, the sect string id

Referenced by StarWriterStruct::operator<<(), read(), and TOX().

## ◆ m_styleId

int StarWriterStruct::TOX::m_styleId

the style id

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_styleList

std::vector<Style> StarWriterStruct::TOX::m_styleList

a list of style names?

Referenced by StarWriterStruct::operator<<().

## ◆ m_title

librevenge::RVNGString StarWriterStruct::TOX::m_title

the title

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_titleLength

long StarWriterStruct::TOX::m_titleLength

the title length

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_type

int StarWriterStruct::TOX::m_type

the type

Referenced by StarWriterStruct::operator<<(), and read().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx